MOUSETARGETING_TARGET_TYPE_ALL = 0;
MOUSETARGETING_TARGET_TYPE_NPC = 1;
MOUSETARGETING_TARGET_TYPE_PLAYER = 2;

MOUSETARGETING_OPTIONS_DEFAULT = {
	enabled = true;
	priorities = {
		class = {
			SHAMAN = 100;
			PRIEST = 90;
			DRUID = 80;
			MAGE = 70;
			ROGUE = 60;
			HUNTER = 50;
			WARRIOR = 40;
			WARLOCK = 30;
			PALADIN = 10;
		};
	};
	continualTargeting = false;
	validTargetType = MOUSETARGETING_TARGET_TYPE_PLAYER;
	onlyAlive = true;
	mode = "class";
	verbosity = 1;
};

MOUSETARGETING_SETUP_DEFAULT = {
	isTracking = false;
	highestPriorityName = "";
	highestPriorityValue = -1;
	highestPriorityLevel = -1;
};


MOUSETARGETING_MSG_LEVEL_ALERT		= 1;
MOUSETARGETING_MSG_LEVEL_ERROR		= 2;
MOUSETARGETING_MSG_LEVEL_WARNING	= 3;
MOUSETARGETING_MSG_LEVEL_INFO		= 4;
MOUSETARGETING_MSG_LEVEL_DEBUG		= 5;


MOUSETARGETING_MSG_COLOR			= {
	default = {
		r = 1.0;
		g = 1.0;
		b = 1.0;
	};
	[MOUSETARGETING_MSG_LEVEL_ALERT] = {
		r = 1.0;
		g = 0.1;
		b = 0.1;
	};
	[MOUSETARGETING_MSG_LEVEL_ERROR] = {
		r = 1.0;
		g = 0.1;
		b = 0.1;
	};
	[MOUSETARGETING_MSG_LEVEL_WARNING] = {
		r = 1.0;
		g = 0.1;
		b = 0.1;
	};
	[MOUSETARGETING_MSG_LEVEL_INFO] = {
		r = 1.0;
		g = 1.0;
		b = 0.1;
	};
	[MOUSETARGETING_MSG_LEVEL_DEBUG] = {
		r = 1.0;
		g = 1.0;
		b = 1.0;
	};
};
